import { UnitResponse, UnitConfig } from "../types/common";
import { Migration, MigrationStatus } from "../types/migration";
import { BaseResource } from "./baseResource";
export declare class Migrations extends BaseResource {
    constructor(token: string, basePath: string, config?: UnitConfig);
    find(params?: MigrationsFindParams): Promise<UnitResponse<Migration[]>>;
}
export interface MigrationsFindParams {
    status?: MigrationStatus[];
    customerId?: string;
}
