"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Fees = void 0;
const baseResource_1 = require("./baseResource");
class Fees extends baseResource_1.BaseResource {
    constructor(token, basePath, config) {
        super(token, basePath + "/fees", config);
    }
    async createFee(request) {
        return this.httpPost("", { data: request });
    }
    async reverse(request) {
        return this.httpPost("/reverse", { data: request });
    }
}
exports.Fees = Fees;
